### Function

# Gimp ParamSpecObject set_default

#### Declaration [src]

    void
    gimp_param_spec_object_set_default (
      GParamSpec* pspec,
      GObject* default_value
    )

#### Description [src]

Set the default object value of the param spec. This will switch the `has_default` flag so that `gimp_param_spec_object_has_default()` will now return `TRUE`.

A `NULL` `default_value` still counts as a default (unless the specific `pspec` does not allow `NULL` as a default).

#### Parameters

`pspec`

  Type: `GParamSpec`

  A `GObject` `GParamSpec`.

  The data is owned by the caller of the function.

`default_value`

  Type: `GObject`

  A default value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.